Upgrading a 22.03.5

I'm trying to upgrade an old raspberry pi 3b installation but ungz is giving an error:

$ wget https://downloads.openwrt.org/releases/22.03.5/targets/bcm27xx/bcm2710/openwrt-22.03.5-bcm27xx-bcm2710-rpi-3-ext4-sysupgrade.img.gz

gzip: openwrt-22.03.5-bcm27xx-bcm2710-rpi-3-ext4-sysupgrade.img.gz: decompression OK, trailing garbage ignored

64-bit x86 Archives corrupted? - #7 by slh

...and for sysupgrade you don't need to (and shouldn't) decompress the downloaded image.

2 Likes

Have you tried

sysupgrade https://downloads.openwrt.org/releases/22.03.5/targets/bcm27xx/bcm2710/openwrt-22.03.5-bcm27xx-bcm2710-rpi-3-ext4-sysupgrade.img.gz
1 Like